document.addEventListener('DOMContentLoaded', () => {
  const creditSlider = document.getElementById('creditScore');
  const creditValue = document.getElementById('creditScoreValue');
  const profileForm = document.getElementById('profileForm');

  creditSlider.addEventListener('input', (e) => {
    creditValue.textContent = e.target.value;
  });

  profileForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const formData = new FormData(profileForm);
    const profileData = Object.fromEntries(formData);
    
    // Simulate form submission
    alert('Profile submitted successfully! Landlords will begin bidding soon.');
  });
});

function scrollToForm() {
  document.getElementById('tenant-form').scrollIntoView({
    behavior: 'smooth'
  });
}

// Simulate loading bids
setTimeout(() => {
  const bidsGrid = document.querySelector('.bids-grid');
  bidsGrid.innerHTML = `
    <div class="process-card">
      <h3>Modern Downtown Loft</h3>
      <p>$2,000/month</p>
      <p>Includes: Parking, Utilities</p>
      <button class="cta-button">View Offer</button>
    </div>
    <div class="process-card">
      <h3>Suburban Garden Home</h3>
      <p>$1,800/month</p>
      <p>Includes: Garden, Storage</p>
      <button class="cta-button">View Offer</button>
    </div>
  `;
}, 1000);